Bug 488065 - qpid-config: global name 'GENERATE_QUEUE_EVENTS' is not defined
qpid-config: global name 'GENERATE_QUEUE_EVENTS' is not defined
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
Development
All Linux
urgent Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 08:14 EST by Frantisek Reznicek
Modified: 2015-11-15 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2009-03-02 08:14:38 EST
Description of problem:
When testing Async queue replication I found that qpid-config aborts with message (and exit code 1)
  Failed: ("global name 'GENERATE_QUEUE_EVENTS' is not defined",)

on the queue which is to be replicated with option:
  --generate-queue-events 2

Version-Release number of selected component (if applicable):
python-qpid-0.4.743856-1.el5

Seen on both RHEL 4 and 5


How reproducible:
100%

Steps to Reproduce:
1. ADR setup (2 qpidd instances)
2. qpid-config -a $host1p queues
See Additional info transcript for details
  
Actual results:
qpid-config exits with above message before completing the job.

Expected results:
qpid-config should display

Additional info:

[root@nec-em3 bz478882]# hostname
nec-em3.rhts.bos.redhat.com
[root@nec-em3 bz478882]# host1name="nec-em3.rhts.bos.redhat.com"
[root@nec-em3 bz478882]# host2name="nec-em13.rhts.bos.redhat.com"
[root@nec-em3 bz478882]# host1port=5555
[root@nec-em3 bz478882]# host2port=6666
[root@nec-em3 bz478882]#
[root@nec-em3 bz478882]# host1p="${host1name}:${host1port}"
[root@nec-em3 bz478882]# host2p="${host2name}:${host2port}"
[root@nec-em3 bz478882]# qpidd --auth no --replication-queue replication-queue --create-replication-queue true --data-dir data --log-enable info+ -p $host1port >qpidd.log 2>qpidd.log

[1]+  Stopped                 qpidd --auth no --replication-queue replication-queue --create-replication-queue true --data-dir data --log-enable info+ -p $host1port >qpidd.log 2>qpidd.log
[root@nec-em3 bz478882]# bg
[1]+ qpidd --auth no --replication-queue replication-queue --create-replication-queue true --data-dir data --log-enable info+ -p $host1port >qpidd.log 2>qpidd.log &
[root@nec-em3 bz478882]# netstat -nlp | grep qpidd
tcp        0      0 0.0.0.0:5555                0.0.0.0:*                   LISTEN      18757/qpidd
[root@nec-em3 bz478882]# qpid-route --ack 50 queue add $host2p $host1p replication-exchange replication-queue
/usr/lib/python2.3/site-packages/qmf/console.py:1337: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.amqpSession.message_flow(destination="rdest", unit=0, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qmf/console.py:1338: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.amqpSession.message_flow(destination="rdest", unit=1, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qmf/console.py:1347: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.amqpSession.message_flow(destination="tdest", unit=0, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qmf/console.py:1348: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.amqpSession.message_flow(destination="tdest", unit=1, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qpid/datatypes.py:128: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.value = value & 0xFFFFFFFF
/usr/lib/python2.3/site-packages/qpid/datatypes.py:139: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  delta = (self.value - other.value) & 0xFFFFFFFF
/usr/lib/python2.3/site-packages/qpid/datatypes.py:140: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  neg = delta & 0x80000000
/usr/lib/python2.3/site-packages/qpid/peer.py:463: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.channel.execution_complete(cumulative_execution_mark=0xFFFFFFFF, ranged_execution_set=range)
[root@nec-em3 bz478882]# echo $?
0
[root@nec-em3 bz478882]# qpid-config -a $host1p add queue queue-a --generate-queue-events 2
[root@nec-em3 bz478882]# qpid-config -a $host1p add queue queue-b --generate-queue-events 1
[root@nec-em3 bz478882]# qpid-config -a $host2p add queue queue-a
[root@nec-em3 bz478882]# qpid-config -a $host2p add queue queue-b
[root@nec-em3 bz478882]# qpid-config -a $host1p queues
Queue Name                               Attributes
============================================================
replication-queue
queue-a                                  Failed: ("global name 'GENERATE_QUEUE_EVENTS' is not defined",)
[root@nec-em3 bz478882]# echo $?
1

>>>>The interesting observation is below<<<<<

[root@nec-em3 bz478882]# qpid-config -a $host2p queues
Queue Name                               Attributes
============================================================
queue-a
queue-b
reply-nec-em3.rhts.bos.redhat.com.18792  auto-del excl
topic-nec-em3.rhts.bos.redhat.com.18792  auto-del excl
[root@nec-em3 bz478882]# echo $?
0

Which means the qpid-config aborts when query launched on qpidd where creation of queues was done, not on qpidd where the queue is replicated.
Comment 1 Gordon Sim 2009-03-02 08:28:13 EST
Fixed by 749300.
Comment 2 Martin Kudlej 2009-04-10 04:21:50 EDT
Tested on rhel 5.3/4.7 i386/x86_64 r752581. It works. 
-->VERIFIED
Comment 3 Justin Ross 2011-06-28 15:46:20 EDT
Fixed and verfied; closing.

Note You need to log in before you can comment on or make changes to this bug.